Bug 972346 - (ros-common_msgs) Review Request: ros-common_msgs - Common ROS Messages
Review Request: ros-common_msgs - Common ROS Messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 927470 927473 927475 927478 ros-std_msgs
Blocks: actionlib
  Show dependency treegraph
 
Reported: 2013-06-08 14:33 EDT by Rich Mattes
Modified: 2018-02-07 19:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-07 19:48:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2013-06-08 14:33:17 EDT
Spec URL: http://rmattes.fedorapeople.org/rospackages/common-msgs/ros-common_msgs.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/common-msgs/ros-common_msgs-1.8.13-1.20130605git60eee8c.fc19.src.rpm
Description: 
common_msgs contains messages that are widely used by other ROS packages.
These includes messages for actions (actionlib_msgs), diagnostics
(diagnostic_msgs), geometric primitives (geometry_msgs), robot navigation
(nav_msgs), and common sensors (sensor_msgs), such as laser range finders,
cameras, point clouds.

Fedora Account System Username: rmattes

rpmlint mostly complains about spelling and documentation:
$ rpmlint ros-common_msgs.spec ../../RPMS/noarch/*_msgs-1.8.13-1*
ros-actionlib_msgs.noarch: W: spelling-error Summary(en_US) actionlib -> action lib, action-lib, libation
ros-actionlib_msgs.noarch: W: spelling-error %description -l en_US actionlib -> action lib, action-lib, libation
ros-actionlib_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-actionlib_msgs.noarch: W: no-documentation
ros-common_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-common_msgs.noarch: W: spelling-error %description -l en_US actionlib -> action lib, action-lib, libation
ros-common_msgs.noarch: W: spelling-error %description -l en_US nav -> van, nab, av
ros-common_msgs.noarch: W: no-documentation
ros-diagnostic_msgs.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ros-diagnostic_msgs.noarch: W: no-documentation
ros-geometry_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-geometry_msgs.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
ros-geometry_msgs.noarch: W: no-documentation
ros-nav_msgs.noarch: W: spelling-error Summary(en_US) nav -> van, nab, av
ros-nav_msgs.noarch: W: spelling-error %description -l en_US nav -> van, nab, av
ros-nav_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-nav_msgs.noarch: W: no-documentation
ros-sensor_msgs.noarch: W: no-documentation
ros-shape_msgs.noarch: W: no-documentation
ros-stereo_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-stereo_msgs.noarch: W: no-documentation
ros-trajectory_msgs.noarch: W: no-documentation
ros-visualization_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-visualization_msgs.noarch: W: spelling-error %description -l en_US rviz -> viz, r viz
ros-visualization_msgs.noarch: W: no-documentation
10 packages and 1 specfiles checked; 0 errors, 25 warnings.
Comment 1 Christopher Meng 2013-07-21 23:08:24 EDT
Error: No Package found for ros-gencpp
Error: No Package found for ros-genlisp
Error: No Package found for ros-genmsg
Error: No Package found for ros-genpy
Comment 2 Rich Mattes 2013-07-24 08:42:15 EDT
Right, I need to fix the BuildRequires.  I will do that later today.
Comment 3 Rich Mattes 2013-07-24 20:46:19 EDT
Update:

Spec URL: http://rmattes.fedorapeople.org/rospackages/common-msgs/ros-common_msgs.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/common-msgs/ros-common_msgs-1.8.13-2.20130605git60eee8c.fc19.src.rpm

I realized while building in mock this afternoon that this package also depends on ros-std_msgs, so I've added that to the blocker bug list and the BuildRequires.


$ rpmlint ros-std_msgs.spec ../../RPMS/noarch/ros*0.4.11-2*
ros-std_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-std_msgs.noarch: W: spelling-error %description -l en_US multiarrays -> multiracial
ros-std_msgs.noarch: W: no-documentation
ros-std_msgs.noarch: E: zero-length /usr/share/std_msgs/msg/Empty.msg
ros-std_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-std_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-std_msgs-devel.noarch: W: no-documentation
2 packages and 1 specfiles checked; 1 errors, 6 warnings.
[rich@primus fuerte]$ rpmlint ros-common_msgs.spec ../../RPMS/noarch/*1.8.13-2*
ros-actionlib_msgs.noarch: W: spelling-error Summary(en_US) actionlib -> action lib, action-lib, libation
ros-actionlib_msgs.noarch: W: spelling-error %description -l en_US actionlib -> action lib, action-lib, libation
ros-actionlib_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-actionlib_msgs.noarch: W: no-documentation
ros-actionlib_msgs-devel.noarch: W: spelling-error Summary(en_US) actionlib -> action lib, action-lib, libation
ros-actionlib_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-actionlib_msgs-devel.noarch: W: spelling-error %description -l en_US actionlib -> action lib, action-lib, libation
ros-actionlib_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-actionlib_msgs-devel.noarch: W: no-documentation
ros-common_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-common_msgs.noarch: W: spelling-error %description -l en_US actionlib -> action lib, action-lib, libation
ros-common_msgs.noarch: W: spelling-error %description -l en_US nav -> van, nab, av
ros-common_msgs.noarch: W: no-documentation
ros-diagnostic_msgs.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ros-diagnostic_msgs.noarch: W: no-documentation
ros-diagnostic_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-diagnostic_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-diagnostic_msgs-devel.noarch: W: no-documentation
ros-geometry_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-geometry_msgs.noarch: W: spelling-error %description -l en_US interoperability -> interchangeability, invulnerability, inseparability
ros-geometry_msgs.noarch: W: no-documentation
ros-geometry_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-geometry_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-geometry_msgs-devel.noarch: W: no-documentation
ros-nav_msgs.noarch: W: spelling-error Summary(en_US) nav -> van, nab, av
ros-nav_msgs.noarch: W: spelling-error %description -l en_US nav -> van, nab, av
ros-nav_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-nav_msgs.noarch: W: no-documentation
ros-nav_msgs-devel.noarch: W: spelling-error Summary(en_US) nav -> van, nab, av
ros-nav_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-nav_msgs-devel.noarch: W: spelling-error %description -l en_US nav -> van, nab, av
ros-nav_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-nav_msgs-devel.noarch: W: no-documentation
ros-sensor_msgs.noarch: W: no-documentation
ros-sensor_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-sensor_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-sensor_msgs-devel.noarch: W: no-documentation
ros-shape_msgs.noarch: W: no-documentation
ros-shape_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-shape_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-shape_msgs-devel.noarch: W: no-documentation
ros-stereo_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-stereo_msgs.noarch: W: no-documentation
ros-stereo_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-stereo_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-stereo_msgs-devel.noarch: W: no-documentation
ros-trajectory_msgs.noarch: W: no-documentation
ros-trajectory_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-trajectory_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-trajectory_msgs-devel.noarch: W: no-documentation
ros-visualization_msgs.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-visualization_msgs.noarch: W: spelling-error %description -l en_US rviz -> viz, r viz
ros-visualization_msgs.noarch: W: no-documentation
ros-visualization_msgs-devel.noarch: W: spelling-error Summary(en_US) msgs -> mags, megs, mugs
ros-visualization_msgs-devel.noarch: W: spelling-error %description -l en_US msgs -> mags, megs, mugs
ros-visualization_msgs-devel.noarch: W: no-documentation
19 packages and 1 specfiles checked; 0 errors, 56 warnings.
Comment 4 Christopher Meng 2013-10-20 23:18:49 EDT
Seems 1.10.2 is its latest version?

http://docs.ros.org/hydro/changelogs/common_msgs/changelog.html
Comment 5 Ankur Sinha (FranciscoD) 2013-10-21 00:28:53 EDT
(In reply to Christopher Meng from comment #4)
> Seems 1.10.2 is its latest version?
> 
> http://docs.ros.org/hydro/changelogs/common_msgs/changelog.html

No. Seeing that the URL has "hydro" in it, this isn't the version Rich is working on. Rich is working on getting only packages from the "groovy" version of ROS. Hydro is the latest release, and isn't even mainstream yet. Most people are still using either Fuerte or Groovy. 

The latest groovy version appears to be 1.9.17:
https://github.com/ros/common_msgs/tree/groovy-devel
Comment 6 Christopher Meng 2013-10-21 06:37:21 EDT
Let's wait Rich to response.
Comment 7 Rich Mattes 2013-10-26 10:35:17 EDT
I'm working on Fuerte right now, and the latest release compatible with fuerte is 1.8.13 as per [1].  I was going to update to groovy or hydro after the fuerte packages were all reviewed, which I didn't think would take as long as it is.

[1] http://ros.org/rosinstalls/fuerte-ros-base.rosinstall
Comment 8 Ankur Sinha (FranciscoD) 2018-01-21 13:19:58 EST
Rich, are we still interested in packaging up ROS at the moment? (I've moved on from Robotics myself, so I'm not into ROS anymore). 

Cheers :)
Comment 9 Tim Niemueller 2018-01-21 17:08:43 EST
You might want to look into what Till (CC) has done.

https://copr.fedorainfracloud.org/coprs/thofmann/ros/
https://pagure.io/ros
Comment 10 Ankur Sinha (FranciscoD) 2018-01-22 15:48:46 EST
Hi Tim!

That's lovely. I'll hop on to the robotics ML and get in touch.

Cheers!
Comment 11 Rich Mattes 2018-01-22 18:01:25 EST
Hi Tim and Ankur,

I don't have nearly the time it would take to complete this packaging effort anymore.  I was actually considering retiring the few ROS 1 packages I did get through the review process.  If Till wants to take them over to move some of his work into Fedora proper, I would be happy to re-assign them

Rich
Comment 12 Till Hofmann 2018-01-23 12:24:19 EST
(In reply to Rich Mattes from comment #11)
> Hi Tim and Ankur,
> 
> I don't have nearly the time it would take to complete this packaging effort
> anymore.  I was actually considering retiring the few ROS 1 packages I did
> get through the review process.  If Till wants to take them over to move
> some of his work into Fedora proper, I would be happy to re-assign them

That would be nice. There are still some TODOs on my list before I can submit the packages to Fedora, but I plan to do it eventually. If you give me access, I can update/retire them when I have the generated SPECS ready.

Meanwhile, any help with the generator is appreciated, especially testing packages and reporting bugs on [1]. Please also file a report if there's a package missing.

IMHO continuing this review request does not make much sense as it's not up-to-date and would probably not fit in the stack of generated ROS SPECS.

Regards,
Till 

[1] https://pagure.io/ros/issues
Comment 13 Rich Mattes 2018-02-07 19:43:26 EST
I added you as admin to the ros packages that I got through the review process, and I'm going to close out the review requests I still have open at this point.  

I'm also trying to add you to the "robotics-sig" group which is attached to a bunch of the python ros packages, gazebo, etc., but I don't know how to do it now that groups are managed through pagure.  I'll try to ask on IRC and get it done.

Rich

Note You need to log in before you can comment on or make changes to this bug.